Bug 853860 - claws-mail: inconsistent move-to-trash and delete behavior
claws-mail: inconsistent move-to-trash and delete behavior
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: claws-mail (Show other bugs)
16
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-03 03:34 EDT by Tomas Hoger
Modified: 2013-02-13 03:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 03:53:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2012-09-03 03:34:50 EDT
Description of problem:
Claws Mail 3.8.1 changes the behavior when delete function is used.  Previously, it worked as:

- have message view enabled
- delete mail (Message -> Delete...)
- after confirming deletion, selection is moved to the next message in the folder list, message view pane content remains unchanged

In 3.8.1, message view pane is blanked and not showing content of any message.  To re-display deleted message, it is not sufficient to click on the message again, but one has to click on some other message before clicking on the deleted message.

This behavior is also different form the move-to-trash (Message -> Move to trash) behavior.  In 3.8.1, after moving selection to the next message, message view pane contain remains unchanged and shows trashed message.  This is identical to the 3.8.0.

Note that this is for an IMAP account, where explicit execute (Tools -> Execute) is required to perform deletion or trashing.  Not sure if this is the default setting or not.

Version-Release number of selected component (if applicable):
claws-mail-3.8.1-1.fc16
Comment 1 Michael Schwendt 2012-09-03 05:27:12 EDT
Although I don't understand yet what you believe is a bug, the change in behaviour may be related to what has been discussed prior to 3.8.1 in:

  http://www.thewildbeast.co.uk/claws-mail/bugzilla/show_bug.cgi?id=2621
  http://www.thewildbeast.co.uk/claws-mail/bugzilla/show_bug.cgi?id=2501

You can tell Claws Mail to _always_ open the next message: Preferences > Display > Summaries > Message list

It might be more fruitful to discuss this on the Claws Mail mailing-lists first: http://www.claws-mail.org/devel.php?section=projects
Comment 2 Fedora End Of Life 2013-01-16 05:18:59 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 03:53:16 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.